# E-shop document settings Information about financial documents settings. Endpoint: GET /api/eshop/document-settings Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Header parameters: - `Content-Type` (string, required) ## Response 200 fields (application/json): - `data` (object, required) - `data.order` (object, required) - `data.order.codePrefix` (string,null, required) Prefix of order code. Typically the current year is used as a prefix. - `data.order.codeLength` (integer, required) Total length of order code, including prefix. - `data.order.isCodeRandom` (boolean, required) If true, order code is generated randomly - can be used to keep your count of orders unknown. - `data.order.numberSeriesStartFrom` (integer, required) Applicable if isCodeRandom is false, e.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first order code will look like 2025000001. - `data.order.syncDocuments` (boolean) E.g., if the order will be canceled, all related documents will be canceled as well. Available only if module nav is not active. - `data.order.printItemRemark` (boolean) If true, parameters from order.itemRemarkParameters will be displayed on the order. Available only if module invoicing is active. - `data.order.displayProductStockLocation` (boolean) If true, the product's warehouse position will be displayed in the order printout. Available only if module stock and invoicing is active. - `data.order.itemRemarkParameters` (array) Item remark parameters. Available only if module invoicing is active. - `data.proformaInvoice` (object) Available only if module invoicing is active. - `data.proformaInvoice.codePrefix` (string,null, required) Prefix of proforma invoice code. Typically the current year is used as a prefix. - `data.proformaInvoice.codeLength` (integer, required) Total length of proforma invoice code, including prefix. - `data.proformaInvoice.numberSeriesStartFrom` (integer, required) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first proforma invoice code will look like 2025000001. - `data.proformaInvoice.unifyCodeWithOrder` (boolean) Proforma invoice will have the identical number as the order. VS will be the same in the order and invoice. Available only if module nav is not active. - `data.proformaInvoice.useVariableSymbolFromOrder` (boolean, required) The variable symbol from the order will be used in the proforma invoice. - `data.proformaInvoice.printItemRemark` (boolean, required) If true, parameters from order.itemRemarkParameters will be displayed on the proforma invoice. - `data.proformaInvoice.addNotesFromOrder` (boolean, required) If true and order.syncDocuments enabled, note from order will be added to proforma invoice. - `data.proformaInvoice.percentageValueForPartialPayment` (string, required) The specified percentage value for partial payment must not be less than the order value or 1 %, and must not exceed the order value or 100 %. - `data.invoice` (object) Available only if module invoicing is active. - `data.invoice.codePrefix` (string,null, required) Prefix of invoice code. Typically the current year is used as a prefix. - `data.invoice.codeLength` (integer, required) Total length of invoice code, including prefix. - `data.invoice.numberSeriesStartFrom` (integer, required) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first invoice code will look like 2025000001. - `data.invoice.unifyCodeWithOrder` (boolean) Invoice will have the identical number as the order. VS will be the same in the order and invoice. Available only if module nav is not active. - `data.invoice.useVariableSymbolFromOrder` (boolean, required) The variable symbol from the order will be used in the invoice. - `data.invoice.useSpecialNumberSerieForCashdesk` (boolean, required) If true, special number serie will be used for invoices created via cashdesk using fields cashdeskCodePrefix, cashdeskCodeLength, and cashdeskNumberSeriesStartFrom. - `data.invoice.cashdeskCodePrefix` (string,null) Prefix of invoice code generated via cashdesk. Typically the current year is used as a prefix. - `data.invoice.cashdeskCodeLength` (integer) Total length of invoice code generated via cashdesk, including prefix. - `data.invoice.cashdeskNumberSeriesStartFrom` (integer) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first invoice code generated via cashdesk will look like C-20250001. - `data.invoice.displayWarranty` (boolean, required) If true, warranty will be displayed on invoice. - `data.invoice.addEanToItemRemark` (boolean, required) If true and invoice.printItemRemark enabled, the EAN of the product will be displayed in the note next to the item. - `data.invoice.addNotesFromOrder` (boolean, required) If true and order.syncDocuments enabled, note from order will be added to invoice. - `data.invoice.displayDoNotPay` (boolean) If true, display do not pay on paid invoice. - `data.invoice.displayPriceWithoutDiscount` (boolean) If true, price before applying discount will be displayed on invoice. - `data.invoice.displayTaxableSupplyDate` (boolean) If true, the tax date (DUZP – Date of taxable supply) will be displayed on the invoice. - `data.creditNote` (object) Available only if module invoicing is active. - `data.creditNote.codePrefix` (string,null, required) Prefix of credit note code. Typically the current year is used as a prefix. - `data.creditNote.codeLength` (integer, required) Total length of credit note code, including prefix. - `data.creditNote.numberSeriesStartFrom` (integer, required) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first credit note code will look like 2025000001. - `data.creditNote.unifyCodeWithOrder` (boolean) Credit note will have the identical number as the order. VS will be the same in the order and invoice. Available only if module nav is not active. - `data.creditNote.displayCorrectedAndOriginalDocumentDiff` (boolean, required) If true, the difference between the corrected and original tax base, tax and original amount will be shown on the credit note. - `data.creditNote.printItemRemark` (boolean, required) If true, parameters from order.itemRemarkParameters will be displayed on the credit note. - `data.creditNote.defaultReasonRemark` (string,null, required) This reason will be displayed on credit notes by default. For individual credit notes you can change it via the credit note detail. - `data.creditNote.restock` (boolean, required) If true, the items from the order will be automatically restocked. - `data.creditNote.forbiddenItemTypes` (array, required) Items that will not be automatically added into the credit note. You can add them additionally. Available types: shipping, billing, and gift. - `data.deliveryNote` (object) Available only if module invoicing is active. - `data.deliveryNote.codePrefix` (string,null, required) Prefix of delivery note code. Typically the current year is used as a prefix. - `data.deliveryNote.codeLength` (integer, required) Total length of delivery note code, including prefix. - `data.deliveryNote.numberSeriesStartFrom` (integer, required) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first delivery note code will look like 2025000001. - `data.deliveryNote.unifyCodeWithOrder` (boolean) Delivery note will have the identical number as the order. VS will be the same in the order and invoice. Available only if module nav is not active. - `data.deliveryNote.printItemRemark` (boolean, required) If true, parameters from order.itemRemarkParameters will be displayed on the delivery note. - `data.proofPayment` (object) Available only if module invoicing is active. - `data.proofPayment.useSequentionalNumberSerie` (boolean, required) If true, sequentional number serie will be used, accepting fields codePrefix, codeLength, and numberSeriesStartFrom. Otherwise number serie is generated by linked document with prefix codePrefixOrder, or codePrefixProformaInvoice. - `data.proofPayment.codePrefix` (string,null) Prefix of proof payment code. Typically the current year is used as a prefix. Available only if useSequentionalNumberSerie is true. - `data.proofPayment.codeLength` (integer) Total length of proof payment code, including prefix. Available only if useSequentionalNumberSerie is true. - `data.proofPayment.numberSeriesStartFrom` (integer) E.g., if codePrefix is set to 2025, codeLength is 10, and numberSeriesStartFrom is 1, first proof payment code will look like 2025000001. Available only if useSequentionalNumberSerie is true. - `data.proofPayment.codePrefixOrder` (string,null) Prefix of proof payment code if created from order. Available only if useSequentionalNumberSerie is false, i.e. number serie is generated by linked document. - `data.proofPayment.codePrefixProformaInvoice` (string,null) Prefix of proof payment code if created from proforma invoice. Available only if useSequentionalNumberSerie is false, i.e. number serie is generated by linked document. - `data.proofPayment.createByIncomingPayment` (boolean, required) If true, a receipt will automatically be issued when payment is received. Note, if enabled, issuance of receipts upon order status change is deactivated, as it is not possible to use both methods simultaneously. - `data.export` (object) Available only if module invoicing is active. - `data.export.useIsdocModule` (boolean, required) If true, isdoc module is active. - `data.export.erpMoneyS3PreAccounting` (string,null, required) Prefix of proof payment code. Typically the current year is used as a prefix. Available only if useSequentionalNumberSerie is true. - `data.export.erpMoneyS3Account` (string,null, required) Prefix of proof payment code if created from order. Available only if useSequentionalNumberSerie is false, i.e. number serie is generated by linked document. - `data.defaultSettings` (object, required) Will be applied to all documents if in document detail won't be set otherwise. - `data.defaultSettings.billingMethodId` (integer,null, required) Default billing method identifier. - `data.defaultSettings.constSymbol` (string,null) Default constant symbol. Available only if module invoicing is active. - `data.defaultSettings.specSymbol` (string,null) Default specific symbol. Available only if module invoicing is active. - `data.defaultSettings.maturity` (integer,null) Default maturity. Available only if module invoicing is active. - `data.defaultSettings.invoiceRemark` (string,null) Custom note displayed on each invoice. Available only if module invoicing is active. - `data.defaultSettings.proformaInvoiceRemark` (string,null) Custom note displayed on each proforma invoice. Available only if module invoicing is active. - `data.defaultSettings.showQrCode` (boolean) If true, it will display QR code to pay by bank transfer. Available only if module invoicing is active. - `data.defaultSettings.sortItems` (string) Determines how items are sorted in documents, printout, and inventory. Available only if module invoicing is active. - `data.defaultSettings.showBarcode` (boolean) If true, it will display barcode on all documents. Available only if module invoicing is active. - `data.defaultSettings.showBillFullName` (boolean) If true, the name of the supplier's contact person will be shown on the issued documents. Available only if module invoicing is active. - `data.defaultSettings.showBillFullNameOfRecipient` (boolean) If true, the name of the recipient's contact person will be shown on the issued documents. Available only if module invoicing is active. - `data.logoUrl` (string,null, required) Logo URL. Example: ["https://example.com/logo.png"] - `data.companyStamp` (object, required) Company stamp of documents. - `data.companyStamp.xAxisCorrection` (integer, required) How many pixel should be logo shifted to the right on X axis. - `data.companyStamp.yAxisCorrection` (integer, required) How many pixel should be logo shifted to the right on Y axis. - `data.companyStamp.stampUrl` (string,null, required) Company stamp URL. Example: ["https://example.com/stamp.png"] - `errors` (array,null, required) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced